tls (common): don't use TLS servername if openssl < 1.0.0
authorAndrei Pelinescu-Onciul <andrei@iptel.org>
Thu, 23 Apr 2009 11:35:42 +0000 (13:35 +0200)
committerAndrei Pelinescu-Onciul <andrei@iptel.org>
Thu, 23 Apr 2009 11:40:02 +0000 (13:40 +0200)
commit0705191bec675f931a7a906dffcac6c2b7d25c75
tree5c49ce351f16a3e51936d4950b5cae86915a9b3b
parent024a23ebba44e94f2e6fe588bb06ef5a84740304
tls (common): don't use TLS servername if openssl < 1.0.0

- TLS extensions and more specifically server_name support have
  appeared between openssl 0.9.8l and 1.0.0.
modules/tls/tls_init.c
modules/tls/tls_init.h
modules/tls/tls_select.c